import dynamix_sdk.base as _base


class CloudapiSecurityGroupCreateResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiSecurityGroupCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def create(
        self,
        *,
        account_id: int,
        name: str,
        description: str | None = None,
    ) -> CloudapiSecurityGroupCreateResultInt:
        ...
